> For the complete documentation index, see [llms.txt](https://docs.mogoplus.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mogoplus.ai/mogoplus/api-reference/quickstart.md).

# Basics

## MOGOPLUS API Documentation&#x20;

### 1. Introduction

MOGOPLUS provides HTTP APIs for its services. This document outlines the basic information needed to interact with these [APIs](https://docs.mogoplus.ai/api-reference/api-endpoints).&#x20;

### 2. API Endpoints&#x20;

Our API service includes two main endpoints:

1. **Authentication** – Used to generate the authentication token required for accessing the APIs.
2. **Insight/Report Generation** – Processes transactional data to generate insights.

To use the Insight/Report Generation endpoint, you must first obtain an authentication token by calling the Authentication endpoint.

#### 2.1 Authentication API&#x20;

<mark style="background-color:$primary;"><https://auth.live.mogoplus.ai></mark>

#### 2.2 Insights API&#x20;

<mark style="background-color:$primary;"><https://console.live.mogoplus.ai></mark>

### 3. Usage&#x20;

To use these APIs, append the specific endpoint path to the appropriate base URL for your environment. For example:  <mark style="background-color:$primary;"><https://console.live.mogoplus.ai/api/application></mark>

### 4. Authentication

Details on authentication methods and requirements will be provided [here](https://docs.mogoplus.ai/api-reference/authentication). Ensure you have the necessary credentials before attempting to access these APIs.

More information regarding how to get the necessary credentials is listed [here](https://docs.mogoplus.ai/api-management)

### 5. Next Steps

For detailed information on available endpoints, request/response formats, and more, refer to our comprehensive API documentation available [here](https://docs.mogoplus.ai/api-reference/api-endpoints).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mogoplus.ai/mogoplus/api-reference/quickstart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
